For the complete documentation index, see llms.txt. This page is also available as Markdown.

Categories

Get categories

get
/categories/

This api is used to categories with WorkorderApp. Each category record can contain the following data:

Parameter
Description
Required
Type (size)

cat_code

Category code

Y

Varchar (255)

cat_cat_code

Parent category code part

N

Varchar (255)

cat_name

Category name

Y

Varchar (255)

cat_image

Url of the image. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

cat_display

Indication if the category should be displayed

Y

Int (10)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/categories/
GET /categories/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add categories

post
/categories/

This api is used to categories with WorkorderApp. Each category record can contain the following data:

Parameter
Description
Required
Type (size)

cat_code

Category code

Y

Varchar (255)

cat_cat_code

Parent category code part

N

Varchar (255)

cat_name

Category name

Y

Varchar (255)

cat_image

Url of the image. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

cat_display

Indication if the category should be displayed

Y

Int (10)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/categories/
POST /categories/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Get categories by filter

get
/openapi/8/category/

This api is used to fetch category based on a filter. Filters can be given by adding a key and values array to the URL. Adding a single filter: &key=key1&value=value1 Adding multiple filters: &key[]=key1&value[]=value1&key[]=key2&value[]=value2

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tokenstringRequiredExample: {{client_token}}
software_tokenstringRequiredExample: {{software_token}}
keystringRequiredExample: ["key"]
valuestringRequiredExample: ["value"]
Query parameters
tokenstringOptionalExample: :token
software_tokenstringOptionalExample: :software_token
keystringOptionalExample: :key
valuestringOptionalExample: :value
Responses
200

Response_200

No content

get/openapi/8/category/
GET /openapi/8/category/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?